#include "screen.h"

//-----------------------------------------------------------------------------

extern int iScreenWidth;  //never go over 1000, see array size
extern int iScreenHight;  //never go over 1000, see array size

//-----------------------------------------------------------------------------



screen::screen()  //constructor: set whole screen to black
{
	for(int i=0; i<1000; i++)
	{
		for (int j=0; j<1000; j++)
		{
			setPixelBW(i,j,BLACK);
		}
	}
}

void screen::drawScreen(void)  //exactly what it's named
{
	for(int i=0; i<iScreenWidth; i++)
	{
		for (int j=0; j<iScreenHight; j++)
		{
			glBegin(GL_POINTS);
			glColor4f(fScreenArray[i][j][0],
					fScreenArray[i][j][1],
					fScreenArray[i][j][2],
					fScreenArray[i][j][3]);

			glVertex2f(i,j);
			glEnd();
		}
	}
}

void screen::setPixelBW(int x, int y, int colour)  //kept concept from earlier test
{
	if(colour == WHITE)
	{
		fScreenArray[x][y][0]=1.0;
		fScreenArray[x][y][1]=1.0;
		fScreenArray[x][y][2]=1.0;
		fScreenArray[x][y][3]=1.0;
	}
	else if(colour == BLACK)
	{
		fScreenArray[x][y][0]=0.0;
		fScreenArray[x][y][1]=0.0;
		fScreenArray[x][y][2]=0.0;
		fScreenArray[x][y][3]=0.0;
	}

	fScreenHits[x][y]=0;
}




